As someone else who's had a relatively customized install, we went from
2.16 to 2.18 and are now going to 2.20. Given the number of improvements
and move towards templates in 2.20, I'd suggest going straight there.
Then you won't have to double your efforts to upgrade to 2.20 later.
Not to mention, 2.20 has significant improvements over 2.18. There's
also a handful of schema changes between the two, so even more reason to
go to 2.20 directly. You wouldn't have to settle conflicts more than
once. Of course, that all depends on if the "Custom Field" patch is
available for 2.20. We don't use that, so I can't say.

Todd

On Fri, Jan 13, 2006 at 11:01:21AM -0500, Blumenkrantz, Steve wrote:
> We're planning on upgrading our heavily customized 2.17.4 version of
> Bugzilla to a more recent version and I'm looking for your experiences
> with 2.18.X and 2.20.X as well as your suggestions about which version
> we should upgrade to.
>
>
>
> Have you found 2.18.X to be very stable (fairly bug-free)?
>
> How about 2.20.X?
>
>
>
> We tried to make use of the "Custom Field" patch that is available and a
> previous employee here installed an incomplete version so we have it
> partially working. Has the patch been upgraded to work with these two
> versions? Is it complete (can you do advanced queries on Custom Fields
> without getting the Internal Server error)?
>
>
>
> Thanks for your consideration.
>
>
>
> Steve Blumenkrantz
>


> _______________________________________________
> support-bugzilla mailing list
> support-bugzilla@lists.mozilla.org
> https://lists.mozilla.org/listinfo/support-bugzilla